DROP TABLE Employee;
DROP TABLE Company;

CREATE TABLE  Company (
   id INTEGER NOT NULL
  ,name VARCHAR(255) NOT NULL
  ,category VARCHAR(255) NOT NULL
  ,PRIMARY KEY(id)
) ;

CREATE TABLE Employee (
   id INTEGER NOT NULL
  ,company INTEGER NOT NULL
  ,commonName VARCHAR(255) NOT NULL
  ,email VARCHAR(255) NULL
  ,FOREIGN KEY (company) REFERENCES Company(id)
  ,PRIMARY KEY(id, company)
);

INSERT INTO Company VALUES(1, 'Smith & sons', 'Coal and gas');
INSERT INTO Employee VALUES(2231, 1, 'Jim Bone', null);

DELETE FROM Employee;
DELETE FROM Company;
DELETE FROM Company WHERE id=2;

SELECT * FROM Company;
SELECT * FROM Employee;