#!/bin/bash

# Execute from top of this directory
#

export BASEDIRNAME=jdomtable
export EXTRADELETE="src/main/resources/persons.xml.highlight.html src/main/resources/persons.xml.switch.html"

#
#No changes beyond this line
####################################################################
#

rm -rf /tmp/${BASEDIRNAME}
tar  -c  ${BASEDIRNAME}  | tar -x -C /tmp
cp -f ${BASEDIRNAME}/pom.exam.xml /tmp/${BASEDIRNAME}/pom.xml

pushd  ${BASEDIRNAME}_solution/src/test/java
tar c- de|tar -x -C /tmp/${BASEDIRNAME}/src/test/java
popd
echo  ${BASEDIRNAME}_solution/src/test/java

pushd ../../../ws/eclipse/ExamTesting/src/main/java
tar c- de |tar -x -C /tmp/${BASEDIRNAME}/src/test/java
tar c- de |tar -x -C /tmp/${BASEDIRNAME}_solution/src/test/java
popd

pushd /tmp/${BASEDIRNAME}
mvn clean eclipse:clean
rm -rf .settings pom.exam.xml .gitignore src/main/resources/.gitignore ${EXTRADELETE}
cd ..; rm -f ${BASEDIRNAME}.zip; zip -r ${BASEDIRNAME}.zip ${BASEDIRNAME}
popd

tar c- ${BASEDIRNAME}_solution| tar -x -C /tmp

pushd /tmp/${BASEDIRNAME}_solution
mvn clean eclipse:clean
rm -rf .settings .gitignore build.sh* src/main/resources/memo.xml.* src/main/resources/.gitignore
cd ..; rm -f ${BASEDIRNAME}_solution.zip; zip -r ${BASEDIRNAME}_solution.zip ${BASEDIRNAME}_solution
popd


echo Compressed Maven archives ${BASEDIRNAME}.zip and  ${BASEDIRNAME}_solution.zip have been generated at /tmp

#end
