package de.hdm_stuttgart.mi.sd1.test.helper;

public class ReflectionHelper {

	public static final String ersatzteilKlassenName = "de.hdm_stuttgart.mi.sd1.aufgabe2.Ersatzteil", 
	      reifenKlassenName = "de.hdm_stuttgart.mi.sd1.aufgabe2.Reifen";

	public ReflectionHelper() {

	   // Ersatzteil
	   //
	   ersatzteilKlasse = new ReflectClass(ersatzteilKlassenName);
	   ersatzteil_toString = new ReflectMethod(ersatzteilKlasse, "toString", new Class[]{});
	   ersatzteil_equals = new ReflectMethod(ersatzteilKlasse, "equals", new Class[]{Object.class});
	   
	   // Reifen
	   //
		reifenKlasse = new ReflectClass(reifenKlassenName);
		reifen_constructor_int_int = new ReflectConstructor(reifenKlasse, new Class[]{Integer.TYPE, Integer.TYPE});
		reifen_toString = new ReflectMethod(reifenKlasse, "toString", new Class[]{});
		reifen_equals = new ReflectMethod(reifenKlasse, "equals", new Class[]{Object.class});
	}

	// Ersatzteil
	//
	public final ReflectClass ersatzteilKlasse;	
	public final ReflectMethod ersatzteil_toString, ersatzteil_equals;
	
	// Reifen
	//
	public final ReflectClass reifenKlasse;
	public final ReflectConstructor reifen_constructor_int_int;
	public final ReflectMethod reifen_toString, reifen_equals;
	
}