<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns="http://www.w3.org/1999/xhtml"
    exclude-result-prefixes="xs"
    version="2.0">
    
    <xsl:variable name="nl">
        <xsl:text>
</xsl:text>
    </xsl:variable>
    
    <xsl:output method="text"/>
    
    <xsl:template match="/html">       
        <xsl:apply-templates select="body//img"/>        
    </xsl:template>
    
    <xsl:template match="img">
        <xsl:text>src=</xsl:text><xsl:value-of select="@src"/>
        <xsl:text>, </xsl:text>
        <xsl:choose>
            <xsl:when test="@alt">
                <xsl:text>alt=</xsl:text>
                <xsl:value-of select="@alt"/>
            </xsl:when>
            <xsl:otherwise>alt undefined</xsl:otherwise>
        </xsl:choose>
        <xsl:value-of select="$nl"/>
    </xsl:template>
    
</xsl:stylesheet>