package de.hdm_stuttgart.mi.sda2.catalog.domain;

import javax.persistence.Entity;

@SuppressWarnings("javadoc")
@Entity 
public class NonFoodProduct extends Product {

   boolean onlineAvailable; // May be ordered online by customers?

   
   protected NonFoodProduct() {
      super();
   }   
   
   public NonFoodProduct(int productNumber, String name, boolean onlineAvailable) {
      super(productNumber, name);
      this.onlineAvailable = onlineAvailable;
   }

   public boolean isOnlineAvailable() {
      return onlineAvailable;
   }

   public void setOnlineAvailable(boolean onlineAvailable) {
      this.onlineAvailable = onlineAvailable;
   }
   
   @Override
   public String toString() {
      return "Non-food product " + super.toString() + ", online available=" + isOnlineAvailable();
   }
}
