package de.hdm_stuttgart.mi.sd1.stringarray2html_test;

import org.junit.Assert;
import org.junit.Test;

import de.hdm_stuttgart.mi.sd1.stringarray2html.Stringarray2Html;

@SuppressWarnings("javadoc")
public class StringArrayTest {
  
  @Test
  public void testnull() {
    Assert.assertEquals("", Stringarray2Html.strings2html(null));
    
  }
  @Test
  public void testVoid() {
    Assert.assertEquals("", Stringarray2Html.strings2html(new String[]{}));
    
  }
  @Test
  public void testTwo() {
    Assert.assertEquals("<ul>\n"
        +               "  <li>one</li>\n" 
        +               "  <li>two</li>\n" 
        +               "</ul>",
        Stringarray2Html.strings2html(new String[]{"one", "two"}));
    
  }
  
}
