package de.hdm_stuttgart.mi.sd1.filepath;

/**
 * Beware: This code is to be expected running on a non-Windows OS
 * 
 * Dealing with file names.
 * 
 */
public class UnixExample {

    /**
     * @param args Unused
     */
    public static void main( String[] args ) {
       final FileMetaInfo fmi = new FileMetaInfo("/usr/share/icon.gif");
       
       System.out.println("Filename is relative? " + fmi.isRelative);
       System.out.println("Directory path: " + fmi.path);
       System.out.println("File basename: " + fmi.basename);
       System.out.println("File extension: " + fmi.extension);
    }
}
