package de.hdm_stuttgart.mi.sd1.navigation.driver;

import de.hdm_stuttgart.mi.sd1.navigation.Segment;

/**
 * Calculating routing durations.
 *
 */
public class Driver {
   /**
    * @param args unused
    */
   public static void main(String[] args) {
      
      final Segment[] route = new Segment[] {
            new Segment(2.4, 50)
            ,new Segment(5, 100)
            ,new Segment(3.1, 50)
            ,new Segment(0.8, 30)
      };
      
      double duration = 0; // Time in hours
      for (final Segment s : route) {
         duration += s.distance / s.speedLimit;
      }
      final long fullMinutes = Math.round(60 * duration);
      
      System.out.println("Minimal duration:" + fullMinutes);
   }
}
