package de.hdm_stuttgart.mi.sd1.grep;

public class CaseInsensitiveLineFilter extends LineFilter {

	public CaseInsensitiveLineFilter(final String filterString) {
		super(filterString.toUpperCase());
	}
	@Override
	boolean accept(String line) {
		return line.toUpperCase().contains(filterString);
	}
}
