package de.hdm_stuttgart.mi.sd1.textstat;

import java.io.IOException;

/**
 * Reading a text file and writing all content
 * to standard output
 */
public class TextStatistics {

  /**
   * @param fileNames counting lines, words and characters of these file names 
   */
  public static void main(String[] fileNames) {

    TextFileHandler textFileHandler = null;

    if (1 == fileNames.length){ // Try to read from input file
      try {
        textFileHandler = new TextFileHandler(fileNames[0]);
      } catch (IOException e) {
        System.err.println("unable to read from file '" + fileNames[0] + "'");
        System.exit(1);
      }
    } else {
      System.err.println("I need exactly one file name argument");
      System.exit(1);
    }
    textFileHandler.printFrequencies();
  }
}