package de.hdm_stuttgart.mi.sd1.fraction;

/**
 * Playing with fraction objects, producing some output.
 *
 */
public class Driver {
  /**
   * @param args unused
   */
  public static void main(String[] args) {

    // Input
    final Fraction
      twoThird = new Fraction(2, 3),          // Construct a fraction object (2/3)
      threeSeven = new Fraction(3, 7);        // Construct a fraction object (3/7)

    // Computed results
    final Fraction
      sum = twoThird.add(threeSeven),         // (2/3) + (3/7)
      product = twoThird.mult(threeSeven);    // (2/3) * (3/7)

    System.out.println("(2/3) + (3/7) = (23/21) = " + sum.getValue());
    System.out.println("(2/3) * (3/7) = (2/7) = " + product.getValue());
  }
}
