package de.hdm_stuttgart.de.sd1.math;

import static org.junit.Assert.*;

import org.junit.Test;
/**
 * Testing exponential implementation
 *
 */
public class ExpSinSinoldTest {

  /**
   * Sine and exponential
   */
  @Test
  public void testApp() {
    Math.setSeriesLimit(9);
    
    assertTrue(java.lang.Math.abs(
        Math.exp(1) - java.lang.Math.E) < 1.E-6);
    
    assertTrue(java.lang.Math.abs(
        Math.sin(java.lang.Math.PI)) < 1.E-10); 
    
    assertFalse(java.lang.Math.abs(                 // Lower precision
        Math.sinOld(java.lang.Math.PI)) < 1.E-10); 
  }
}
