package de.hdm_stuttgart.mi.sda1.sql2catalog.model;

import javax.persistence.Column;
import javax.persistence.Embeddable;

// Class not strictly required but allows for relational table's
// attribute name "description" in favour of "descriptions"

@Embeddable
public class Description {

   protected Description() {
   }

   public Description(final String description) {
      setDescription(description);
   }
   @Column(name="text")
   String description;

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }
}