package de.hdm_stuttgart.mi.sda2.jpa.billing.domain;



import javax.persistence.Entity;

/**
 * pay by wire transfer
 *
 */
@Entity
public class BankAccount extends BillingDetail {
   String iban;

   protected BankAccount() {
      super();
   }

   @SuppressWarnings("javadoc")
   public BankAccount(final Customer customer, final String iban) {
      super(customer);
      setIban(iban);
   }

   public String getIban() {
      return iban;
   }

   public void setIban(String iban) {
      this.iban = iban;
   }

}
