package de.hdm_stuttgart.mi.sd1.aufgabe1;

public class Helper {

  /**
   * <p>Die Quersumme einer Zahl. Beispiel: Die Quersumme von 324 ist 3 + 2 + 4 == 9.</p>
   * <p>Das Vorzeichen soll übernommenwerden. Beispiel: Die Quersumme von -324 ist -9.</p>
   *
   * @param wert
   * @return Die zum Wert gehörende Quersumme.
   *
   */
  static public long quersumme(long wert) {
    int querSumme = 0;
    while (0 != wert) {
      querSumme += wert % 10;
      wert /= 10;
    }
    return querSumme;
  }
}