package component.address;

import javax.persistence.Embeddable;

@Embeddable
public class Address {

  private String street;
  public String getStreet() { return street;}
  public void setStreet(String street) { this.street = street;}

  private String city;
  public String getCity() { return city;}
  public void setCity(String city) { this.city = city;}

  private String zipcode;
  public String getZipcode() { return zipcode;}
  public void setZipcode(String zipcode) { this.zipcode = zipcode;}

  protected Address() {}

  public Address(final String street, final String city, final String zipcode) {
    setStreet(street);
    setCity(city);
    setZipcode(zipcode);
  }
}