package entity.company6;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import entity.company6.model.Employee;
import entity.company6.model.Laptop;

/**
 * Removing {@link Laptop} from {@link Employee} 
 */
public class ExchangeLaptops {
  /**
   * @param args not used.
   */
  public static void main(String[] args) {
     final EntityManagerFactory factory = Persistence.createEntityManagerFactory("entityCompany6NoDropPU");
     final EntityManager em = factory.createEntityManager();

     em.getTransaction().begin();
     {
        final Employee martin = em.find(Employee.class, 1L),
              eve = (Employee) em.find(Employee.class, 2L);
          
          final Laptop currentMartin2214 = em.find(Laptop.class, 1L),
              currentEve2213 = em.find(Laptop.class, 2L);
          
          eve.setLaptop(currentMartin2214);
          currentEve2213.setOwner(martin);
          
          System.out.println("Martin:" + martin.getLaptop().getId());
          System.out.println("Eve:" + eve.getLaptop().getId());
          
          System.out.println("currentEve2213:" + currentEve2213.getOwner().getCname());
          System.out.println("currentMartin2214:" + currentMartin2214.getOwner().getCname());
     }
     em.getTransaction().commit();

     em.close();
     factory.close();
  }
}