package hibintro.v3;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 * Persisting a simple instance of {@link User}
 */
public class PersistSingleUser {

  /**
   * @param args not used.
   */
  public static void main(String[] args) {
     
     final EntityManagerFactory factory = Persistence.createEntityManagerFactory("hibintroV3PU");
     final EntityManager em = factory.createEntityManager();

     em.getTransaction().begin();
     {
        em.persist(new User("goik", "Martin Goik"));
     }
     em.getTransaction().commit();

     em.close();
     factory.close();
  }
}