package hibintro.v9;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 * Persisting a simple instance of {@link User}
 *
 */
public class PersistSingleUser {

   /**
    * @param args not used.
    */
   public static void main(String[] args) {
      final EntityManagerFactory factory = Persistence.createEntityManagerFactory("hibintroV9PU");
      final EntityManager em = factory.createEntityManager();

      em.getTransaction().begin();
      {
         final User u = new User();
         u.setUidNumber(123);
         u.setUid("goik");
         u.setCname("Martin Goik");
         u.setActive(true);
         em.persist(u);
      }
      em.getTransaction().commit();

      em.close();
      factory.close();
   }
}