<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
  xmlns:fo="http://www.w3.org/1999/XSL/Format" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="xml" indent="yes"/>

  <xsl:template match="/">
    <fo:root>
      <fo:layout-master-set>
        <fo:simple-page-master master-name="simplePageLayout"
          page-width="294mm" page-height="210mm" margin="5mm">
          <fo:region-body margin="15mm"/>
        </fo:simple-page-master>
      </fo:layout-master-set>
      <fo:page-sequence master-reference="simplePageLayout">
        <fo:flow flow-name="xsl-region-body">
          <fo:block font-size="20pt">
            <xsl:text>Sender:</xsl:text>
            <fo:inline font-weight='bold'>
              <xsl:value-of select="memo/from/surname"/>
            </fo:inline>
          </fo:block>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>
</xsl:stylesheet>
