package sax;

import org.xml.sax.Attributes;
import org.xml.sax.helpers.DefaultHandler;

/** Show elements and their namespaces */
public class NamespaceEventHandler extends DefaultHandler {
  /** Simply output an element's attributes
   * @see DefaultHandler#startElement(
   * String, String, String, Attributes) */
  public void startElement(String namespaceUri, String localName,
      String rawName, Attributes attrs) {
    System.out.println("Opening Element rawName='" + rawName + "'\n" 
        	+ "namespaceUri='" + namespaceUri + "'\n" 
        	+ "localName='" + localName
        	+ "'\n--------------------------------------------");
  } //end of startElement
}