package de.hdm_stuttgart.mi.sda1.exam.xsd.test;

import org.junit.Assert;
import org.junit.Test;

import de.hdm_stuttgart.mi.unitmarking.xsd.InstanceSetEvaluation;

/**
 * Unit test for an XML instance set.
 */
@SuppressWarnings("static-method")
public class SchemaTest {
    /**
     * Testing a suite of XML instances.
     */
   @Test
    public void testXmlInstanceSet() {
       
       final InstanceSetEvaluation ise =
    		   new InstanceSetEvaluation("SchemaTest", "Schema/company.xsd");
       
       System.out.println(ise.getMessages());

       Assert.assertTrue(ise.getErrorMessages(), ise.allTestsSucceeded);
    }
}
