package de.hdm_stuttgart.mi.nonsense;

import java.util.Random;

/**
 * Wrapping Java's standard random generator. The purpose is just providing
 * a flexible means to exchange the sequence generating implementation. 
 *
 */
public class MyRandomGenerator implements SequenceGenerator {
   
   final Random randomGenerator = new Random();

   @Override
   public int getNextValue(int bound) {
      return randomGenerator.nextInt(bound);
   } 
}
