package de.hdm_stuttgart.mi.sd1.fraction;

import static org.junit.Assert.*;

import org.junit.Ignore;
import org.junit.Test;

@SuppressWarnings("javadoc")
public class FractionTest {
  /**
   * Sums and products of fractions
   */
  @Ignore // Remove me after completing your implementation
  @Test
  public void testAdditionMultiply() {
    // Input
    final Fraction
      twoThird = new Fraction(2, 3),          // Construct a fraction object (2/3)
      threeSeven = new Fraction(3, 7);        // Construct a fraction object (3/7)

    // Computed results
    final Fraction
      sum = twoThird.add(threeSeven),         // (2/3) + (3/7)
      product = twoThird.mult(threeSeven);    // (2/3) * (3/7)

    assertTrue(Math.abs(sum.getValue() - 23./21) < 1.E-15); // Mind limited computational accuracy!
    assertTrue(Math.abs(product.getValue() - 2./7) < 1.E-15);
    
  }
}
