DROP TABLE IF EXISTS Course;
DROP TABLE IF EXISTS Lecturer;

CREATE TABLE Lecturer (
   id INT AUTO_INCREMENT
  ,PRIMARY KEY(id)
  ,ident CHAR(20) NOT NULL UNIQUE
  ,name VARCHAR(20)
  ,email VARCHAR(40)
);

CREATE TABLE Course (
   id INT NOT NULL AUTO_INCREMENT PRIMARY KEY
  ,number INT NOT NULL UNIQUE
  ,title VARCHAR(40)
  ,description VARCHAR(255) NULL
  ,lecturerer INT NOT NULL REFERENCES Lecturer
);


