package de.hdm_stuttgart.mi.sudoku.test;

import org.junit.Assert;
import org.junit.Test;

import de.hdm_stuttgart.mi.sudoku.model.SudokuBoard;

public class InitBoardTest {

	@Test
	public void createBoard() {
		final SudokuBoard board = new SudokuBoard();

		Assert.assertEquals(null, board.checkValue(3, 0, 0));
		Assert.assertEquals(SudokuBoard.ERRMSG_3CELL_DUPLICATE, board.checkValue(6, 0, 0));
		Assert.assertEquals(SudokuBoard.ERRMSG_3CELL_DUPLICATE, board.checkValue(8, 0, 0));
		
		Assert.assertEquals(null, board.checkValue(8, 1, 1));
		Assert.assertEquals(null, board.checkValue(3, 1, 1));
		
		Assert.assertEquals(SudokuBoard.ERRMSG_3CELL_DUPLICATE, board.checkValue(6, 1, 1));

		Assert.assertEquals(null, board.checkValue(3, 6, 3));
		Assert.assertEquals(SudokuBoard.ERRMSG_ROW_DUPLICATE, board.checkValue(4, 6, 3));
		Assert.assertEquals(SudokuBoard.ERRMSG_COL_DUPLICATE, board.checkValue(5, 3, 6));
		Assert.assertEquals(SudokuBoard.ERRMSG_ROW_DUPLICATE, board.checkValue(1, 3, 6));

		
		
	}

}
