package de.hdm_stuttgart.mi.sda2.jpa.billing;

import java.util.Date;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;
import javax.xml.bind.JAXBException;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import de.hdm_stuttgart.mi.sda2.jpa.billing.domain.CreditCard;
import de.hdm_stuttgart.mi.sda2.jpa.billing.domain.Customer;

/**
 * A simple http://logging.apache.org/log4j/2.x demo, see file log4j2.xml for
 * configuration options.
 * 
 */
public class CreateData {
   private static Logger log = LogManager.getLogger(CreateData.class);

   /**
    * @param args
    *           Unused
    */
   public static void main(String[] args)  {

      final EntityManagerFactory factory = Persistence
            .createEntityManagerFactory("persistenceUnit");
      final EntityManager manager = factory.createEntityManager();

      final EntityTransaction tx = manager.getTransaction();

      tx.begin();
      {
         final Customer customer = new Customer("Joe Blix");
         
         final CreditCard myCard = new CreditCard(customer, "Visa"); 
         myCard.setExpiry(new Date());

         manager.persist(customer);
      }
      tx.commit();
      log.info("done!");

   }

}
