package de.hdm_stuttgart.mi.sd1.test.aufgabe1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.sd1.aufgabe1.Helper;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

/**
 * Test getting the smallest of three integer values.
 */
@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class TestGetMinimumOfThree extends ExaminationTestDefaults {
  /**
   * First argument smallest
   */
  @Test
  public void test_100() {
    Assert.assertEquals(-1, Helper.getMinimum(-1, 2, 3));
  }

  /**
   * Second argument smallest
   */
  @Test
  public void test_120() {
    Assert.assertEquals(-5, Helper.getMinimum(0, -5, 33));
  }

  /**
   * Third argument smallest
   */
  @Test
  public void test_140() {
    Assert.assertEquals(-8, Helper.getMinimum(0, 55, -8));
  }

  /**
   * Equal arguments
   */
  @Test
  public void test_160() {
    Assert.assertEquals(-5, Helper.getMinimum(-5, -5, -5));
    Assert.assertEquals(-5, Helper.getMinimum(-4, -5, -5));
    Assert.assertEquals(-5, Helper.getMinimum(-5, -4, -5));
    Assert.assertEquals(-5, Helper.getMinimum(-5, -5, -4));
  }
}