package de.hdm_stuttgart.mi.sd1.aufgabe2;

public class Kreis {

  final double x, y, r;

  public Kreis(final double x, final double y, final double r) {
    this.x = x;
    this.y = y;
    this.r = r;
  }

  /**
   * <p>Ist der andere Kreis vollständig vom gegebenen Kreis umschlossen?</p>
   *
   * @param anderer Ein anderer Kreis
   * @return true, falls der gegebene Kreis den anderen Kreis vollständig umschließt, sonst false.
   */
  public boolean enthaelt (final Kreis anderer) {

    double centerDistance = Math.sqrt(
      (x - anderer.x) * (x - anderer.x) +
      (y - anderer.y) * (y - anderer.y));

    return centerDistance + anderer.r < r;
  }
}