package hibintro.v1;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 * Persisting a simple instance of {@link User}
 *
 */
public class PersistUsers {

   /**
    * @param args not used.
    */
   public static void main(String[] args) {
      final EntityManagerFactory factory = Persistence.createEntityManagerFactory("hibintroV1PU");
      final EntityManager em = factory.createEntityManager();

      em.getTransaction().begin();
      {
         final User users[] = {new User("wings", "Fred Wings"),
               new User("eve", "Eve Briggs")} ;
         for (final User u : users ) {
            em.persist(u);
         }
      }
      em.getTransaction().commit();

      em.close();
      factory.close();
   }
}