package sda.unittesting;

public class MyStackFuncTest {

   private static void assertTrue(boolean status) {
      if (!status) {
         throw new RuntimeException("Assert failed");
      }
   }
   public static void main(String[] args) {
      final MyStack stack = new MyStack();
      // Test 1: A new MyStack instance should not contain any elements.
      assertTrue(stack.empty());

      // Test 2: Adding and removal
      stack.push(4);
      assertTrue (!stack.empty());
      assertTrue (4 == stack.top());
      assertTrue (4 == stack.pop());
      assertTrue (stack.empty());

      // Test 3: Trying to add more than five values
      stack.push(1);stack.push(2);stack.push(3);stack.push(4);
      stack.push(5);
      stack.push(6);
      assertTrue(6 == stack.pop());
   }
}
